CANCEL_DELAYED_WORK(9)

NAME
cancel_delayed_work - cancel a delayed work

SYNOPSIS

bool cancel_delayed_work(struct delayed_work * dwork);

ARGUMENTS

dwork
    delayed_work to cancel

DESCRIPTION

Kill off a pending delayed_work.

RETURN

true if dwork was pending and canceled; false if it wasn't pending.

NOTE

The work callback function may still be running on return, unless it returns true and the work doesn't re-arm itself. Explicitly flush or use cancel_delayed_work_sync to wait on it.

This function is safe to call from any context including IRQ handler.

COPYRIGHT